--- a/Makefile.in
+++ b/Makefile.in
@@ -61,7 +61,7 @@
 LIBTOOL=./libtool
 
 COMPILE=${LIBTOOL} --mode=compile ${CC} ${CPPFLAGS} ${CFLAGS}
-LINK=${LIBTOOL} --mode=link ${CC} ${CFLAGS}
+LINK=${LIBTOOL} --mode=link ${CC} ${CFLAGS} ${LDFLAGS}
 
 
 hparam.o: version.h
@@ -114,27 +114,32 @@
 install:: install-man install-lib
 
 install-man:: home.conf.5
-	${INSTALL_DATA} home.conf.5 ${mandir}/man5/
-@DO_PROXY@	${INSTALL_DATA} home_proxy.8 ${mandir}/man8/
+	${INSTALL} -d $(DESTDIR)${mandir}/man5
+@DO_PROXY@	${INSTALL} -d $(DESTDIR)${mandir}/man8
+	${INSTALL_DATA} home.conf.5 $(DESTDIR)${mandir}/man5/
+@DO_PROXY@	${INSTALL_DATA} home_proxy.8 $(DESTDIR)${mandir}/man8/
 
 install-lib:: all
-	${LIBTOOL} --mode=install ${INSTALL_DATA} libhome.la ${libdir}/
+	${INSTALL} -d $(DESTDIR)${libdir}
+	${INSTALL} -d $(DESTDIR)${bindir}
+@DO_PROXY@	${INSTALL} -d $(DESTDIR)${sbindir}
+	${INSTALL} -d $(DESTDIR)${includedir}/home
+	${LIBTOOL} --mode=install ${INSTALL_DATA} libhome.la $(DESTDIR)${libdir}/
 	test "@PRELOAD_LIB@" = "" || \
-	${LIBTOOL} --mode=install ${INSTALL_DATA} @PRELOAD_LIB@ ${libdir}/
-	${LIBTOOL} --mode=install ${INSTALL_PROGRAM} home_finger ${bindir}/
-	${LIBTOOL} --mode=install ${INSTALL_PROGRAM} home_su ${bindir}/
-	-mkdir -p ${includedir}/home	
-	${INSTALL_DATA} hpwd.h ${includedir}/home/pwd.h
-	${INSTALL_DATA} hpwd.h ${includedir}/home/
-	${INSTALL_DATA} hparam.h ${includedir}/home/
-	${INSTALL_DATA} home_version.h ${includedir}/home/
+	${LIBTOOL} --mode=install ${INSTALL_DATA} @PRELOAD_LIB@ $(DESTDIR)${libdir}/
+	${LIBTOOL} --mode=install ${INSTALL_PROGRAM} home_finger $(DESTDIR)${bindir}/
+	${LIBTOOL} --mode=install ${INSTALL_PROGRAM} home_su $(DESTDIR)${bindir}/
+	${INSTALL_DATA} -D hpwd.h $(DESTDIR)${includedir}/home/pwd.h
+	${INSTALL_DATA} -D hpwd.h $(DESTDIR)${includedir}/home/
+	${INSTALL_DATA} -D hparam.h $(DESTDIR)${includedir}/home/
+	${INSTALL_DATA} -D home_version.h $(DESTDIR)${includedir}/home/
 	chmod +x libhome.sh
-	${INSTALL_SCRIPT} libhome.sh ${bindir}/
-@DO_PROXY@	${LIBTOOL} --mode=install ${INSTALL_PROGRAM} home_proxy ${sbindir}/
-@DO_NSS@	${LIBTOOL} --mode=install ${INSTALL_DATA} ${NSS_LIB} ${libdir}/
+	${INSTALL_SCRIPT} -D libhome.sh $(DESTDIR)${bindir}/
+@DO_PROXY@	${LIBTOOL} --mode=install ${INSTALL_PROGRAM} home_proxy $(DESTDIR)${sbindir}/
+@DO_NSS@	${LIBTOOL} --mode=install ${INSTALL_DATA} ${NSS_LIB} $(DESTDIR)${libdir}/
 
 install-nss:: nss
-@DO_NSS@	${LIBTOOL} --mode=install ${INSTALL_DATA} ${NSS_LIB} ${libdir}/
+@DO_NSS@	${LIBTOOL} --mode=install ${INSTALL_DATA} ${NSS_LIB} $(DESTDIR)${libdir}/
 
 compat:
 	-mkdir compat
